> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tools

> List all tools.



## OpenAPI

````yaml /openapi-v1.json get /api/v1/tools
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/tools:
    get:
      tags:
        - Tools
      summary: List Tools
      description: List all tools.
      operationId: core_api_v1_controllers_tools_list_tools
      parameters:
        - in: query
          name: page
          schema:
            default: 1
            title: Page
            type: integer
          required: false
        - in: query
          name: page_size
          schema:
            default: 50
            title: Page Size
            type: integer
          required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ToolListOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    ToolListOut:
      description: Paginated list response for tools.
      properties:
        object:
          default: list
          title: Object
          type: string
        data:
          items:
            $ref: '#/components/schemas/ToolOut'
          title: Data
          type: array
        has_more:
          title: Has More
          type: boolean
        total:
          title: Total
          type: integer
      required:
        - data
        - has_more
        - total
      title: ToolListOut
      type: object
    ToolOut:
      description: Response schema for tools.
      properties:
        object:
          default: tool
          title: Object
          type: string
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        tool_type:
          anyOf:
            - $ref: '#/components/schemas/ToolTypeOut'
            - type: 'null'
        additional_info:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Additional Info
        prompt:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt
        input_schema:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Input Schema
        strict_mode:
          default: false
          title: Strict Mode
          type: boolean
        forward_user_auth:
          default: false
          title: Forward User Auth
          type: boolean
        sources_restrictions:
          default: []
          items:
            additionalProperties: true
            type: object
          title: Sources Restrictions
          type: array
        admin_tags:
          default: []
          items:
            additionalProperties: true
            type: object
          title: Admin Tags
          type: array
        required_permissions:
          default: []
          items:
            additionalProperties: true
            type: object
          title: Required Permissions
          type: array
      required:
        - id
        - name
      title: ToolOut
      type: object
    ToolTypeOut:
      description: Response schema for tool types.
      properties:
        object:
          default: tool_type
          title: Object
          type: string
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        class_name:
          title: Class Name
          type: string
        additional_info_schema:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Additional Info Schema
        prompt:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt
      required:
        - id
        - name
        - class_name
      title: ToolTypeOut
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````